# The Linux List

## `~Script Installs~`

### Tested scrips ✔️

### Broken Scripts ❌

### Untested Scripts ⚠️

### Retired Scripts 💀

## Don't like typing "Y"? Just add a "u" after the /sh/ `(/sh/u/RANDOMSCRIPT)`

---

## [Gitea](https://about.gitea.com/)

### ✔️ Install

### `wget -O giteainstall.sh https://sop.wtf/sh/giteainstall && bash giteainstall.sh`

### ✔️ Uninstall

### `wget -O gitearemove.sh https://sop.wtf/sh/gitearemove && bash gitearemove.sh`

### ✔️ Update

### `wget -O giteaupdate.sh https://sop.wtf/sh/giteaupdate && bash giteaupdate.sh`

---

## [Go Hugo](https://gohugo.io/)

### ✔️ Install/Update

### `wget -O hugoinstall.sh https://sop.wtf/sh/hugoinstall && bash hugoinstall.sh`

### ✔️ Uninstall

### `rm -rf /usr/local/bin/hugo`

---
## [Go](https://go.dev/)

### ✔️ Install/Update

### `wget -O goinstall.sh https://sop.wtf/sh/goinstall && bash goinstall.sh`

### ✔️ Uninstall

### `rm -rf /usr/local/go`

---
## [Traefik](https://go.dev/)

### ✔️ Install/Update

### `wget -O traefikinstall.sh https://sop.wtf/sh/traefikinstall && bash traefikinstall.sh`

### ✔️ Uninstall

### `rm -rf /usr/local/traefik`

---

## [MariaDB](https://mariadb.org/)

### ✔️ Install

### `wget -O mariadbinstall.sh https://sop.wtf/sh/mariadbinstall && bash mariadbinstall.sh`

### ✔️ Uninstall

### `sudo apt remove mariadb-server mariadb-client -y && apt autoremove -y`

---

## [phpMyAdmin](https://www.phpmyadmin.net/)

### ✔️ Install

### `wget -O pmainstall.sh https://sop.wtf/sh/pmainstall && bash pmainstall.sh`

### ⚠️ Uninstall

### `wget -O pmauninstall.sh https://sop.wtf/sh/pmauninstall && bash pmauninstall.sh`

### ✔️ Update

### `wget -O pmaupdate.sh https://sop.wtf/sh/pmaupdate && bash pmaupdate.sh`

---

## [MongoDB](https://www.mongodb.com/)

### ⚠️ Install

### `wget -O mongodbinstall.sh https://sop.wtf/sh/mongodbinstall && bash mongodbinstall.sh`

### ✔️ Uninstall

### `sudo apt remove mongodb-org libssl1.1 -y && sudo apt autoremove`

---

## [Gitlab](https://about.gitlab.com/) (Retired, Now falls back to offical script)

### 💀 Install

### `wget -O gitlabinstall.sh https://sop.wtf/sh/gitlabinstall && bash gitlabinstall.sh`

### 💀 Uninstall

### `wget -O gitlabuninstall.sh https://sop.wtf/sh/gitlabuninstall && bash gitlabuninstall.sh`

---

## [Gogs](https://gogs.io/)

### ✔️ Install

### `wget -O gogsinstall.sh https://sop.wtf/sh/gogsinstall && bash gogsinstall.sh`

### ✔️ Uninstall

### `wget -O gogsuninstall.sh https://sop.wtf/sh/gogsuninstall && bash gogsuninstall.sh`

---

## [Wordpress](https://wordpress.org/)

### ⚠️ Install

### `wget -O wpinstall.sh https://sop.wtf/sh/wpinstall && bash wpinstall.sh`

---

## [Fail2Ban](https://www.fail2ban.org/)

### ✔️ Install

### `wget -O fail2baninstall.sh https://sop.wtf/sh/fail2baninstall && bash fail2baninstall.sh`

---
